## makehuman 1.0.0~alpha6

=== SConstruct ===
import platform
import sys

pyver = sys.version_info
if platform.system() == "Windows":
    pyver = '%d%d' % (pyver[0], pyver[1])
else:
    pyver = '%d.%d' % (pyver[0], pyver[1])

env = Environment(CPPPATH=[
        'include',
        '/usr/include/python' + pyver,
        '/usr/include/GL',
        '/usr/include/SDL'],
    LIBPATH=[],
    LIBS = [], CCFLAGS = '-O2')
conf = Configure(env)

if not env.GetOption('clean'):
    
    # Append to CPPPATH and LIBPATH if on windows
    if platform.system() == "Windows":
        if 'msvc' in env['TOOLS']:
            env.Append(CPPPATH = ['c:/python' + pyver + '/include', 'c:/sdl/include', 'c:/glew/include/GL'])
            env.Append(LIBPATH = ['c:/python' + pyver + '/libs', 'c:/sdl/lib', 'c:/glew/lib'])
        else:
            mingwinc = 'c:/mingw/include'
            mingwlib = 'c:/mingw/lib'
            env.Append(CPPPATH = ['c:/python' + pyver + '/include', mingwinc, mingwinc + '/SDL'])
            env.Append(LIBPATH = ['c:/python' + pyver + '/libs', mingwlib, mingwlib + '/SDL'])
            
    # Check for libs and headers
    if conf.CheckLib('m'):
        env.Append(LIBS = ['m']);
    if not (conf.CheckLib('python' + pyver, 'Py_Initialize') and conf.CheckHeader('Python.h')):
        print "The Python " + pyver + " development libraries must be installed"
        exit(1)
    if platform.system() != "Windows":
        if not (conf.CheckLib('X11')):
            print "The X11 development libraries must be installed"
            exit(1)
    if not (conf.CheckLib('SDL', 'SDL_Init') and conf.CheckHeader('SDL.h')):
        print "The SDL development libraries must be installed"
        exit(1)
    else:
        if platform.system() == "Windows":
            env.Append(LIBS = ['SDLmain'])
    if not (conf.CheckLib('GLEW') or conf.CheckLib('glew32', 'glewInit')):
        print "The GLEW must be installed"
        exit(1)
        
    # Add additional libs and set flags
    if platform.system() == "Windows":
        env.Append(LIBS = ['opengl32','glu32','shell32','kernel32','user32'])
        if 'msvc' in env['TOOLS']:
            env.Append(CFLAGS='/O2 /GL /D "_UNICODE" /D "UNICODE" /FD /EHsc /MD')
            env.Append(LINKFLAGS='/OPT:REF /OPT:ICF /LTCG /MACHINE:X86 /NODEFAULTLIB:libcmt.lib /SUBSYSTEM:CONSOLE')
        else:
            env.Append(LINKFLAGS='-mconsole')
    else:
        env.Append(LIBS = ['GL','GLU'])
env=conf.Finish()

# Build application
VariantDir('program_build', 'src', duplicate=0)
env.Program("makehuman", ["program_build/core.c", "program_build/glmodule.c", "program_build/arraybuffer.c", "program_build/main.c"])

# Build module
VariantDir('module_build', 'src', duplicate=0)
moduleEnv = env.Clone(CPPDEFINES = "MAKEHUMAN_AS_MODULE", SHLIBPREFIX = "")
if platform.system() == "Windows":
    moduleEnv["SHLIBSUFFIX"] = ".pyd"
moduleEnv.LoadableModule("mh", ["module_build/core.c", "module_build/glmodule.c", "module_build/arraybuffer.c", "module_build/main.c"])

=== debian/changelog ===
makehuman (1.0.0~alpha6-5ubuntu3) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:22:33 +0000

makehuman (1.0.0~alpha6-5ubuntu2) quantal; urgency=low

  * Build-depend on libglew-dev rather than libglew1.5-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 20:54:58 +0100

makehuman (1.0.0~alpha6-5ubuntu1) quantal; urgency=low

  * Fix FTBFS with ld --as-needed.
    - Add 03_fix_ftbfs_ld_as_needed.patch

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 05 Aug 2012 14:50:58 +0200

makehuman (1.0.0~alpha6-5) unstable; urgency=low

  * Package's description has been fixed. A verb was missing:
    e.g.:
       -This package the application data files for MakeHuman.
       +This package contains the application data files for MakeHuman.
    (Closes: #680413)
       -This package the documentation in PDF format for MakeHuman.
       +This package contains the documentation in HTML format for MakeHuman.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 11 Jul 2012 22:51:04 +0200

makehuman (1.0.0~alpha6-4) unstable; urgency=medium

  * Makefile.Linux file was modify to use python2.7 instead of python2.6. With
    this change it is assured a consistency between the python's version that
    is hardcoded in the makefile, and the one picked by debhelper when
    invoking pycompile. (Closes: #678023)
  * Description of the package was emphasizing the application to be open
    source, and free. This is implicit in packages accepted in the main
    section. Thus, the description has been changed to be more neutral as
    pointed out in the bug report that is being closed. Thanks to Gunnar Wolf
    for suggesting a description. (Closes: #668409)
  * Format field in debian/copyright has been updated to point to version 1.0.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 27 Jun 2012 01:30:04 +0200

makehuman (1.0.0~alpha6-3) unstable; urgency=low

  * debian/rules:
    + The conditional statement in line 17 has been rechecked in order of
    avoiding correctly the FTBFS. (Closes: #664628)

 -- Muammar El Khatib <muammar@debian.org>  Thu, 22 Mar 2012 10:27:19 +0100

makehuman (1.0.0~alpha6-2) unstable; urgency=low

  * debian/rules:
    + A conditional was created into the override_dh_install section for
    verifying that debian/makehuman-data directory exists before trying to
    remove any possible empty directories inside it. This change should fix
    the FTBFS when building architecture-dependent package. Thanks to Aaron M.
    Ucko for reporting and providing a solution. (Closes: #664628)
  * debian/control:
    + libsdl-image1.2-dev has been added to Build-Depends field, as well as
    libsdl-image1.2 to Depends field of the makehuman Package. This will avoid
    the problem of no GUI to be built. (Closes: #664734)

 -- Muammar El Khatib <muammar@debian.org>  Tue, 20 Mar 2012 14:33:25 +0100

makehuman (1.0.0~alpha6-1) unstable; urgency=low

  * Initial release (Closes: #456959)

 -- Muammar El Khatib <muammar@debian.org>  Fri, 06 Jan 2012 21:24:11 +0100

=== debian/control ===
Source: makehuman
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>= 7.0.50), libsdl1.2-dev,
 libx11-dev,
 x11proto-core-dev,
 libglu1-mesa-dev,
 mesa-common-dev,
 python-all-dev (>= 2.7.3~rc2),
 libglew-dev,
 doxygen,
 libsdl-image1.2-dev
XS-Python-Version: current
Standards-Version: 3.9.2
Homepage: http://www.makehuman.org/

Package: makehuman
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 fontconfig,
 makehuman-data,
 libsdl-image1.2
Recommends: aqsis
Suggests: makehuman-doc
XB-Python-Version: ${python:Versions}
Description: Modelling of 3-Dimensional humanoid characters
 MakeHuman is a 3-Dimensional humanoid characters modelling software. Features
 that make this software innovative and unique include a new, highly intuitive
 GUI and a high quality mesh, optimized to work in subdivision surface mode
 (for example, Zbrush). Using MakeHuman, a photorealistic character can be
 modeled in less than 2 minutes.

Package: makehuman-data
Architecture: all
Depends: ${misc:Depends}
Description: Modelling of 3-Dimensional humanoid characters (application data)
 MakeHuman is a 3-Dimensional humanoid characters modelling software. Features
 that make this software innovative and unique include a new, highly intuitive
 GUI and a high quality mesh, optimized to work in subdivision surface mode
 (for example, Zbrush). Using MakeHuman, a photorealistic character can be
 modeled in less than 2 minutes.
 .
 This package contains the application data files for MakeHuman.

Package: makehuman-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Modelling of 3-Dimensional humanoid characters (documentation)
 MakeHuman is a 3-Dimensional humanoid characters modelling software. Features
 that make this software innovative and unique include a new, highly intuitive
 GUI and a high quality mesh, optimized to work in subdivision surface mode
 (for example, Zbrush). Using MakeHuman, a photorealistic character can be
 modeled in less than 2 minutes.
 .
 This package contains the documentation in HTML format for MakeHuman.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = makehuman
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_DIR := $(shell echo $(SRC_VERSION) | sed -e 's/[.~]/_/g')
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.gz

%:
	dh $@ --with python2

override_dh_auto_build:
	$(MAKE) -f Makefile.Linux EXE=makehuman.real
	sh debian/scripts/gendoc.sh

override_dh_install:
	dh_install
	if [ -d debian/makehuman-data ]; then \
	        find debian/makehuman-data -type d -empty -delete; \
	find $(CURDIR)/debian/makehuman-data/usr/share/makehuman/data/targets/ -type f | xargs chmod 0644; \
	chmod 644 $(CURDIR)/debian/makehuman-data/usr/share/makehuman/data/shaders/aqsis/hair.sl \
	    $(CURDIR)/debian/makehuman/usr/share/makehuman/plugins/3_libraries_hair_chooser.py \
	    $(CURDIR)/debian/makehuman/usr/share/makehuman/plugins/0_modeling_asymm.py \
	    $(CURDIR)/debian/makehuman/usr/share/makehuman/apps/uvinterpolator.py \
	    $(CURDIR)/debian/makehuman/usr/share/makehuman/plugins/pose.py; \
	fi

override_dh_auto_clean:
	touch utils
	$(MAKE) -f Makefile.Linux clean
	rm -f makehuman.real
	find $(CURDIR)/shared/ -name "*.pyc" -exec "rm" "-f" {} ";"
	find $(CURDIR)/plugins/ -name "*.pyc" -exec "rm" "-f" {} ";"
	rm -fr docs/mhproto_cdoc
	dh_auto_clean

get-orig-source:
	svn export \
		http://makehuman.googlecode.com/svn/releases/makehuman_$(SVN_DIR) \
			get-orig-source/$(PACKAGE)-$(SRC_VERSION)
	GZIP=--best tar czf $(TARBALL) --exclude=os-x --exclude=utils \
		-C get-orig-source $(PACKAGE)-$(SRC_VERSION)
	rm -rf get-orig-source
	echo "  "$(TARBALL)" created!"

## makehuman 1.1.0~git20150707

=== debian/changelog ===
makehuman (1.1.0~git20150707-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fixed missing icon in menu.
  * Package should start correctly (Closes: #789814).

 -- Muammar El Khatib <muammar@debian.org>  Fri, 14 Aug 2015 22:25:20 +0200

makehuman (1.0.2-9) unstable; urgency=low

  * Applying patch to make the package reproducible (Closes: #788394). Thanks
    to Juan Picca.

 -- Muammar El Khatib <muammar@debian.org>  Thu, 11 Jun 2015 11:43:14 +0200

makehuman (1.0.2-8) unstable; urgency=low

  * Removing redundant files in makehuman-data package (Closes: #787648).
    Thanks to Jonas Hauquier for reporting this problem.
  * makehuman upgrade conflict should have been fixed in this revision
    (Closes: #786876).
  * Wrong version indication has been fixed in this new revision.
    See patch:
        debian/patches/01_makehuman.py.patch
    Thanks to Jonas Hauquier for providing a patche (Closes: #787646).
  * Improved debian/copyright (Closes: #787673).

 -- Muammar El Khatib <muammar@debian.org>  Tue, 09 Jun 2015 15:43:08 +0200

makehuman (1.0.2-7) unstable; urgency=medium

  * Adding missing dependencies to run makehuman (Closes: #785784).

 -- Muammar El Khatib <muammar@debian.org>  Wed, 20 May 2015 10:17:25 +0200

makehuman (1.0.2-6) unstable; urgency=medium

  * Replaces also makehuman-data when upgrading from previous version in the
    archive.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 18 May 2015 21:30:03 +0200

makehuman (1.0.2-5) unstable; urgency=medium

  * Replacing whole package when version lower than 1.0.2 is installed to
    avoid upgrade problems (Closes: #781306).
  * Makehuman is now mainly based on Python, so the Usertags: ld-as-needed
    does affect this package anymore (Closes: #683920).

 -- Muammar El Khatib <muammar@debian.org>  Sun, 17 May 2015 10:56:47 +0200

makehuman (1.0.2-4) unstable; urgency=medium

  * assets_base_1_0b.zip have been added (Closes: #785164).

 -- Muammar El Khatib <muammar@debian.org>  Sun, 17 May 2015 00:56:36 +0200

makehuman (1.0.2-3) experimental; urgency=medium

  * Command line arguments are now accepted by makehuman script. Thanks to
    Jonas Hauquier for reporting this (Closes: #785162).
  * In this experimental revision, a strategy to install the assets is
    implemented.
  * Problems with ethnics should be resolved in this new upstream version
    (Closes: #781317).
  * Improved debian/copyright file.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 13 May 2015 11:39:37 +0200

makehuman (1.0.2-2) experimental; urgency=medium

  * debian/control:
    + makehuman depends explicitly on makehuman-data (>= 1.0.2) to force in
    the upgrade to install the correct -data directory.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 12 May 2015 19:03:22 +0200

makehuman (1.0.2-1) experimental; urgency=medium

  * New upstream version (Closes: #751755).
  * Bump Standards-Version to 3.9.6.
  * debian/control:
    + makehuman now is built as `all`.
  * debian/watch file added.
  * debian/copyright: no longer list the Debian maintainers involved in the
    creation of the package.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 10 May 2015 20:50:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,35 @@
 Source: makehuman
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Muammar El Khatib <muammar@debian.org>
-Build-Depends: debhelper (>= 7.0.50), libsdl1.2-dev,
- libx11-dev,
- x11proto-core-dev,
- libglu1-mesa-dev,
- mesa-common-dev,
- python-all-dev (>= 2.7.3~rc2),
- libglew-dev,
- doxygen,
- libsdl-image1.2-dev
-XS-Python-Version: current
-Standards-Version: 3.9.2
+Maintainer: Muammar El Khatib <muammar@debian.org>
+Build-Depends:  debhelper (>= 7.0.50),
+                python2.7,
+                python-qt4,
+                python-opengl,
+                python-numpy,
+                python-qt4-gl,
+                dh-python,
+                python-sphinx,
+                python-matplotlib,
+                python | python-all | python-dev | python-all-dev,
+                quilt
+XS-Python-Version: 2.7
+Standards-Version: 3.9.6.0
 Homepage: http://www.makehuman.org/
 
 Package: makehuman
-Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends},
- ${python:Depends},
- fontconfig,
- makehuman-data,
- libsdl-image1.2
-Recommends: aqsis
+Architecture: all
+Depends: ${misc:Depends},
+         ${python:Depends},
+         makehuman-data (>= 1.0.2),
+         python2.7,
+         python-numpy,
+         python-opengl,
+         python-qt4,
+         python-qt4-gl
+Conflicts: makehuman (<< 1.0.2)
+Replaces: makehuman
 Suggests: makehuman-doc
-XB-Python-Version: ${python:Versions}
 Description: Modelling of 3-Dimensional humanoid characters
  MakeHuman is a 3-Dimensional humanoid characters modelling software. Features
  that make this software innovative and unique include a new, highly intuitive
@@ -36,7 +39,11 @@
 
 Package: makehuman-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends},
+         python2.7
+Conflicts: makehuman-data (<< 1.0.2)
+Replaces: makehuman-data
 Description: Modelling of 3-Dimensional humanoid characters (application data)
  MakeHuman is a 3-Dimensional humanoid characters modelling software. Features
  that make this software innovative and unique include a new, highly intuitive

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --with quilt

override_dh_auto_build:
	# Building docs
	sh debian/scripts/gendoc.sh

override_dh_install:
	dh_install
	dh_python2
	if [ -d "debian/makehuman-data" ]; then \
	    echo "Deleting files"; \
	    rm -f $(CURDIR)/debian/makehuman-data/usr/share/makehuman/license.txt ; \
	    find  $(CURDIR)/debian/makehuman-data/usr/share/makehuman/ -name \*.pyc -exec rm -rf {} \; ; \
	    find  $(CURDIR)/debian/makehuman-data/usr/share/makehuman/ -name \*.target -exec rm -rf {} \; ; \
	    find  $(CURDIR)/debian/makehuman-data/usr/share/makehuman/ -name \*.obj -exec rm -rf {} \; ; \
	    find  $(CURDIR)/debian/makehuman-data/usr/share/makehuman/ -type d -empty -delete ; \
	fi

override_dh_auto_clean:
	rm -rf $(CURDIR)/docs/sphinx/build/*
	rm -f $(CURDIR)/makehuman/lib/getpath.pyc $(CURDIR)/makehuman/makehuman.pyc
	dh_auto_clean

=== debian/watch ===
version=3
https://bitbucket.org/MakeHuman/makehuman/downloads .*/(\d\S*)\.zip

## makehuman 1.1.0~git20160515

=== debian/changelog ===
makehuman (1.1.0~git20160515-1mx150+1) mx; urgency=medium

  * Non-maintainer upload.
  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Thu, 30 Jun 2016 09:02:30 -0500

makehuman (1.1.0~git20160515-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 3.9.8. Menu dropped.

 -- Muammar El Khatib <muammar@debian.org>  Thu, 26 May 2016 14:44:45 +0200

makehuman (1.1.0~git20160316-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 16 Mar 2016 19:51:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: makehuman
 Section: graphics
 Priority: optional
-Maintainer: Muammar El Khatib <muammar@debian.org>
+Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Muammar El Khatib <muammar@debian.org>
+Bugs: mailto: <maintainer@mepiscommunity.org>
 Build-Depends:  debhelper (>= 7.0.50),
                 python2.7,
                 python-qt4,
@@ -14,7 +16,7 @@
                 python | python-all | python-dev | python-all-dev,
                 quilt
 XS-Python-Version: 2.7
-Standards-Version: 3.9.6.0
+Standards-Version: 3.9.8.0
 Homepage: http://www.makehuman.org/
 
 Package: makehuman

## makehuman 1.1.0

=== debian/changelog ===
makehuman (1.1.0-1) unstable; urgency=medium

  * Upstream stable release.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 20 Aug 2016 19:43:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: makehuman
 Section: graphics
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Muammar El Khatib <muammar@debian.org>
-Bugs: mailto: <maintainer@mepiscommunity.org>
+Maintainer: Muammar El Khatib <muammar@debian.org>
 Build-Depends:  debhelper (>= 7.0.50),
                 python2.7,
                 python-qt4,

## makehuman 1.1.1

=== docs/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MakeHuman.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MakeHuman.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MakeHuman"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MakeHuman"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
makehuman (1.1.1-1~mx15+1) mx; urgency=medium

  * Repackaged for MX 15 & 16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 31 Oct 2018 17:27:02 -0700

makehuman (1.1.1-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 31 Oct 2018 17:16:54 -0700

makehuman (1.1.1-1) unstable; urgency=medium

  * Upstream stable release.
  * debian/compat: bump to compat level 9.
  * debian/copyright: fixed wildcards.

 -- Muammar El Khatib <muammar@debian.org>  Sat, 24 Jun 2017 12:43:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: makehuman
 Section: graphics
 Priority: optional
-Maintainer: Muammar El Khatib <muammar@debian.org>
-Build-Depends:  debhelper (>= 7.0.50),
-                python2.7,
-                python-qt4,
-                python-opengl,
-                python-numpy,
-                python-qt4-gl,
-                dh-python,
-                python-sphinx,
-                python-matplotlib,
-                python | python-all | python-dev | python-all-dev,
-                quilt
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Muammar El Khatib <muammar@debian.org>
+Build-Depends: debhelper (>= 7.0.50),
+               python2.7,
+               python-qt4,
+               python-opengl,
+               python-numpy,
+               python-qt4-gl,
+               dh-python,
+               python-sphinx,
+               python-matplotlib,
+               python | python-all | python-dev | python-all-dev,
+               quilt
 XS-Python-Version: 2.7
-Standards-Version: 3.9.8.0
+Standards-Version: 4.0.0
 Homepage: http://www.makehuman.org/
 
 Package: makehuman
@@ -56,7 +57,7 @@
 Package: makehuman-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-underscore, libjs-jquery
 Description: Modelling of 3-Dimensional humanoid characters (documentation)
  MakeHuman is a 3-Dimensional humanoid characters modelling software. Features
  that make this software innovative and unique include a new, highly intuitive

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,17 @@
 	    find  $(CURDIR)/debian/makehuman-data/usr/share/makehuman/ -name \*.obj -exec rm -rf {} \; ; \
 	    find  $(CURDIR)/debian/makehuman-data/usr/share/makehuman/ -type d -empty -delete ; \
 	fi
+	if [ -d "debian/makehuman-doc" ]; then \
+	    echo "Deleting files"; \
+	    rm -f $(CURDIR)/debian/usr/share/makehuman-doc/html/_static/underscore.js ; \
+	    rm -f $(CURDIR)/debian/usr/share/makehuman-doc/html/_static/jquery.js ; \
+	fi
 
 override_dh_auto_clean:
 	rm -rf $(CURDIR)/docs/sphinx/build/*
 	rm -f $(CURDIR)/makehuman/lib/getpath.pyc $(CURDIR)/makehuman/makehuman.pyc
 	dh_auto_clean
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
